1. Routes
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
    • Create customers
    • Update customers
    • Delete customers
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
      GET
    • Clear route(s)
      POST
    • Lock route(s)
      POST
    • Unlock route(s)
      POST
    • Set planned ETAs
      POST
    • Setting the task order
      POST
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Routes

Route Elements

ID#

_id - Unique code assigned to the route once it’s created and can be used to retrieve a single route.

uid#

uid - Unique code assigned to the route once it’s created. Can be found on the dashboard as well.

Assignee information#

_id - Unique identifier that represents the driver.
Info - contains the driver's profile details.
uid - Unique code that is assigned to the driver once their profile is created.
firstName - driver’s first name.
lastName - driver’s last name.
mobile - driver’s contact number
skills - Skills enable you to make sure certain tasks requiring specific skills are only matched with the relevant driver / drivers with the skill.ame - Indicates the name of the vehicle.
vehicleInfo - Stores additional information about the vehicle assigned.
uid -This is a unique code that eLogii assigns each vehicle upon creation.
name - Indicates the name of the vehicle.
vehicleType - Unique code for the preset specifications for a particular subset of vehicle fleet.
category - indicates the whether the vehicle is a pedestrian, largeTruck, truck, largeVan, bicycle, motorcycle, car or pickup.
capacity - Maximum capacity defined for the vehicle.
capabilities - indicates the vehicle attributes set. They ensure that certain tasks requiring are only optimized to the relevant vehicles.
cost
perHour - Hourly vehicle cost.
perDay - Daily vehicle cost.
perKM - Vehicle cost per distance.
vehicleTypeUID - Unique code for the preset specifications for a particular subset of vehicle fleet.
vehicleTypeName - Indicates the name of the vehicle type.
cost - Stores information on the driver’s hourly/daily rate.
perHour - Hourly driver cost.
perDay - Daily driver cost.
teams - If assigned to a specific team /teams, drivers will only be assigned to tasks that can be handled by the assigned teams.
flags - Driver-specifics configurations
isExcludedFromOpti - Whether or not the driver should be eligible for route optimization. Default: false
isAutoOptiDisabled - Default: false
isRouteETADisabled - Default: false
isAutoRoutingDisabled - Default: false
isUnconstrained - Whether or not the driver has no constraints. Default: false
isBusy - Default: false
isAccountDisabled - Default: false
isTestDriver - Default: false
hasAvatar - Default: false
isAvatarAwaitingApproval - Default: false

Start Location#

startLocation - Contains fields used to specify the start location of the driver, i.e. the starting point of their route.
type -Enums that indicate the type of location
0
1
2
3
Predefined depot, used in conjunction with uid field for depot UID.

uid - Required for types 0 and 1 – unique identifier of the depot or customer location
name - Shows the displayed name of the location
address - Contains the address of the location
addressLine2 - Contains the 2nd address of the location
postCode - Contains the location post code
city - Contains the location city
country - Contains the country of the location
what3words - Contains the what3words location coordinates of the location
coordinates - Contains the location coordinates. Format: [longitude, latitude]

End location#

endLocation - Contains fields used to specify the end location of the driver.
type -Enums that indicate the type of location
0
1
2
3
Predefined depot, used in conjunction with uid field for depot UID.

uid - Required for types 0 and 1 – unique identifier of the depot or customer location
name - Shows the displayed name of the location
address - Contains the address of the location
addressLine2 - Contains the 2nd address of the location
postCode - Contains the location post code
city - Contains the location city
country - Contains the country of the location
what3words - Contains the what3words location coordinates of the location
coordinates - Contains the location coordinates. Format: [longitude, latitude]

Teams#

teams - If assigned to a specific team /teams, drivers will only be assigned to tasks that can be handled by the assigned teams.

Date#

date - date the route is planned.

Date range#

dateRange - date range the route is planned.

Route legs#

legs - contains information on the tasks in the route and any breaks.

Total duration#

totalDuration - Consolidation of the entire route duration.

Total service duration#

totalServiceDuration - All task service duration values combined.

Total driving time#

totalDrivingTime - Duration the driver takes from one drop to another, driving from start location to first task and from the last task to the end location combined.

Total distance#

totalDistance - Total mileage covered by the driver in the route.

Total task stops#

totalTaskStops - number of tasks - pickups and deliveries in the route.

Total size#

totalSize - capacity of all the tasks combined. The value type depends on the dimensions set in configurations eg Weight

Maximum size#

maxSize - highest capacity value in the tasks/drops.

Maximum vehicle utilization#

maxVehicleUtilization - maximum percentage of capacity up to which the vehicle was loaded.

Vehicle utilization#

vehicleUtilization - maximum vehicle utilization at some point during the route.

Driver schedule#

driverSchedule - refers to the driver workhours and breaks throughout the route.
utilization - displays the percentage of schedule usage for a set period of time.
duration - total schedule duration in minutes.
overtime - total overtime duration in minutes.
schedule-
type - Type of schedule the route is set. It could either be single, multiday or an exception.
timeWindows
start - schedule start time in minutes
end - schedule end time in minutes.
startLocation - Contains fields used to specify the start location of the driver, i.e. the starting point of their route.
type -Enums that indicate the type of location
0
1
2
3
Predefined depot, used in conjunction with uid field for depot UID.

uid - Required for types 0 and 1 – unique identifier of the depot or customer location
name - Shows the displayed name of the location
address - Contains the address of the location
addressLine2 - Contains the 2nd address of the location
postCode - Contains the location post code
city - Contains the location city
country - Contains the country of the location
what3words - Contains the what3words location coordinates of the location
coordinates - Contains the location coordinates. Format: [longitude, latitude]
endLocation - Contains fields used to specify the end location of the driver.
type -Enums that indicate the type of location
0
1
2
3
Predefined depot, used in conjunction with uid field for depot UID.

uid - Required for types 0 and 1 – unique identifier of the depot or customer location
name - Shows the displayed name of the location
address - Contains the address of the location
addressLine2 - Contains the 2nd address of the location
postCode - Contains the location post code
city - Contains the location city
country - Contains the country of the location
what3words - Contains the what3words location coordinates of the location
coordinates - Contains the location coordinates. Format: [longitude, latitude]

Locked#

locked - Locking the route allows reoptimizing the tasks of the day without that route being affected. default:False
Modified at 2025-12-04 15:22:52
Previous
Schedule for dates
Next
Get routes
Built with